Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QCryptographicHash.Algorithm

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QCryptographicHash.Algorithm

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QCryptographicHash

    public static final class QCryptographicHash.Algorithm

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QCryptographicHash.Algorithm` | `Md4` Generate an MD4 hash sum
`static QCryptographicHash.Algorithm` | `Md5` Generate an MD5 hash sum
`static QCryptographicHash.Algorithm` | `Sha1` Generate an SHA1 hash sum

Method Summary
`static QCryptographicHash.Algorithm` | `resolve(int value)` Returns the QCryptographicHash$Algorithm constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QCryptographicHash.Algorithm` | `valueOf(java.lang.String name)`
`static QCryptographicHash.Algorithm[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Md4

    public static final QCryptographicHash.Algorithm Md4

  Generate an MD4 hash sum

### Md5

    public static final QCryptographicHash.Algorithm Md5

  Generate an MD5 hash sum

### Sha1

    public static final QCryptographicHash.Algorithm Sha1

  Generate an SHA1 hash sum

Method Detail

### values

    public static QCryptographicHash.Algorithm[] values()

### valueOf

    public static QCryptographicHash.Algorithm valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QCryptographicHash.Algorithm resolve(int value)

  Returns the QCryptographicHash$Algorithm constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD